package cmtservice

import (
	"context"

	coretypes "git.cw.tr/mukan-network/mukan-consensus/rpc/core/types"

	"git.cw.tr/mukan-network/mukan-sdk/client"
)

// GetNodeStatus returns the status of the node.
func GetNodeStatus(ctx context.Context, clientCtx client.Context) (*coretypes.ResultStatus, error) {
	node, err := clientCtx.GetNode()
	if err != nil {
		return &coretypes.ResultStatus{}, err
	}
	return node.Status(ctx)
}
